Subject: Re: [PATCH 03/17] object-store: rename files to "odb.{c,h}"

From: Derrick Stolee <[email-masked]>
Date: Tue, 6 May 2025 14:06:14 -0400

On 5/6/2025 7:09 AM, Patrick Steinhardt wrote:
> In the preceding commits we have renamed the structures contained in
> "object-store.h" to `struct object_database` and `struct odb_backend`.
> As such, the code files "object-store.{c,h}" are confusingly named now.
> Rename them to "odb.{c,h}" accordingly.
While I appreciate the goal of this series, I'm not sold on the need to
rename these files. Not only is it a tree-wide change to the headers, but
it now requires tracking changes across the rename which can complicate
history spelunking.

At minimum, the method renames are likely to create semantic merge issues
with parallel work. If the rename is truly valuable, then maybe it could
be done in an isolated change after the method renames are landed?

Thanks,
-Stolee